// WsClient2Client.java
// mini Client for accessing bean WsClient2

package org.objectweb.jonas.jtests.beans.wsclient;

import javax.naming.Context;
import javax.naming.InitialContext;
import javax.naming.NamingException;
import javax.rmi.PortableRemoteObject;

/**
 *
 */
public class WsClient2Client {

    static Context ctx = null; 
    static WsClient2Home home = null;

    public static void main(String[] arg) {

	// Get InitialContext
	try {
	    ctx = new InitialContext();
	} catch (NamingException e) {
	    e.printStackTrace();
	    System.exit(2);
	}

	// Lookup bean home 
	String bName = "WsClient2Home";
	try {
	    home = (WsClient2Home) PortableRemoteObject.narrow(ctx.lookup(bName), WsClient2Home.class);
            WsClient2 bean = home.create(10,20,"AA");
            bean.setField2(99);
	} catch(Exception e) {
	    e.printStackTrace();
	    System.exit(2);
	}

	// ...
    }
}
