/**
 * JOnAS : Java(TM) OpenSource Application Server
 * Copyright (C) 2005 Bull S.A.
 * Contact: jonas-team@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: JOnASWSEmitter.java,v 1.1 2005/01/11 14:36:49 sauthieg Exp $
 * --------------------------------------------------------------------------
 */
package org.objectweb.jonas_ws.wsgen.generator.ews.wsdltoj2ee.emitter;

import org.objectweb.jonas_ws.wsgen.generator.ews.wsdltoj2ee.JOnASJ2EEWebServicesContext;


/**
 *
 * @author Guillaume Sauthier
 */
public interface JOnASWSEmitter {

    JOnASJ2EEWebServicesContext getJOnASWsContext();
    void setJOnASWsContext(JOnASJ2EEWebServicesContext context);
    boolean hasBindingGeneration();
    boolean hasServiceGeneration();
    boolean hasDeployGeneration();
    /**
     * @return the classLoader.
     */
    ClassLoader getClassLoader();

    /**
     * Set the classloader to use
     * @param classLoader The classLoader to set.
     */
    void setClassLoader(ClassLoader classLoader);
}
